# hybrid_programming

[![Build Status](https://github.com/YaozhenghangMa/hybrid_programming/actions/workflows/CI.yml/badge.svg?branch=)](https://github.com/YaozhenghangMa/hybrid_programming/actions/workflows/CI.yml?query=branch%3A)
[![Coverage](https://codecov.io/gh/YaozhenghangMa/hybrid_programming/branch/main/graph/badge.svg)](https://codecov.io/gh/YaozhenghangMa/hybrid_programming)
[![PyPI](https://img.shields.io/pypi/v/hybrid_example)](https://pypi.org/project/hybrid_example/)
[![Documentation Status](https://readthedocs.org/projects/hybrid-programming/badge/?version=latest)](https://hybrid-programming.readthedocs.io/en/latest/?badge=latest)
![License](https://img.shields.io/github/license/yaozhenghangma/hybrid_programming)

This package aims to offer tutorials on hybrid programming using C++ and Python. The tutorials cover the following topics:

* Set up programming environment on [VSCode](https://code.visualstudio.com)
* Compilation with [scikit-build](https://github.com/scikit-build/scikit-build)
* Hybrid programming via [pybind11](https://github.com/pybind/pybind11)
* Multiprocessing via [mpi4py](https://github.com/mpi4py/mpi4py)
* Continuous integration with [Github Actions](https://github.com/features/actions)
* Testing with [pytest](https://docs.pytest.org/en/7.3.x/)
* Register package on [pypi](https://pypi.org)
* Publish documents on [Read the Docs](https://readthedocs.org)