# Welcome to hybrid_programming's documentation!

**hybrid_programming**  is a package aiming to offer tutorials on hybrid programming using C++ and Python. The tutorials cover the following topics:
* Set up programming environment on [VSCode](https://code.visualstudio.com)
* Compilation with [scikit-build](https://github.com/scikit-build/scikit-build)
* Hybrid programming via [pybind11](https://github.com/pybind/pybind11)
* Multiprocessing via [mpi4py](https://github.com/mpi4py/mpi4py)
* Continuous integration with [Github Actions](https://github.com/features/actions)
* Testing with [pytest](https://docs.pytest.org/en/7.3.x/)
* Register package on [PyPI](https://pypi.org)
* Publish documents on [Read the Docs](https://readthedocs.org)

## Contents

```{eval-rst}
.. toctree::
   vscode
   scbuild
   github_actions
   pypi
   api
```
